org.springframework.core.convert

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.core.convert.ConversionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConversionFailedException, ConverterNotFoundException

    public abstract class ConversionException
    extends NestedRuntimeException

Base class for exceptions thrown by the conversion system.

Since:
  3.0
Author:
  Keith Donald
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConversionException(String message)` Construct a new conversion exception.
`ConversionException(String message, Throwable cause)` Construct a new conversion exception.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConversionException

    public ConversionException(String message)

Construct a new conversion exception.

Parameters:
  `message` - the exception message

#### ConversionException

    public ConversionException(String message,
                       Throwable cause)

Construct a new conversion exception.

Parameters:
  `message` - the exception message
  `cause` - the cause